<?php
// +----------------------------------------------------------------------
// | ThinkPHP [ WE CAN DO IT JUST THINK ]
// +----------------------------------------------------------------------
// | Copyright (c) 2006-2014 http://thinkphp.cn All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: liu21st <liu21st@gmail.com>
// +----------------------------------------------------------------------

// 应用入口文件

// 检测PHP环境
if(version_compare(PHP_VERSION,'5.3.0','<'))  die('require PHP > 5.3.0 !');
//检测是否安装
// 开启调试模式 建议开发阶段开启 部署阶段注释或者设为false
define('APP_DEBUG',false);
if (!is_file('./data/install.lock')) {
    header('Location: ./install.php');
    exit;
}
// 定义应用目录
define('APP_PATH','./apps/');
//定义公共模块
define('COMMON_PATH','./apps/Common/');
//定义运行目录
define('RUNTIME_PATH','./runtime/');

//定义模板目录
define('TMPL_PATH','./tpl/');
//定义默认模块
define('BIND_MODULE', 'home');
//define('BUILD_CONTROLLER_LIST','Index');
// 引入ThinkPHP入口文件
/*
RUNTIME_PATH 应用运行时目录（默认为 APP_PATH.'Runtime/'）
HTML_PATH 应用静态缓存目录（默认为 APP_PATH.'Html/'）
CONF_PATH 应用公共配置目录（默认为 COMMON_PATH.'Conf/'）
LANG_PATH 公共语言包目录 （默认为 COMMON_PATH.'Lang/'） 
LOG_PATH 应用日志目录 （默认为 RUNTIME_PATH.'Logs/'）
CACHE_PATH 项目模板缓存目录（默认为 RUNTIME_PATH.'Cache/'）
TEMP_PATH 应用缓存目录（默认为 RUNTIME_PATH.'Temp/'）
DATA_PATH 应用数据目录 （默认为 RUNTIME_PATH.'Data/'）
ADDON_PATH 插件控制器目录 （默认为 APP_PATH.'Addon'） 3.2.3新增 */
require './ThinkPHP/ThinkPHP.php';
